Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_tripleclouds_sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_tripleclouds_sw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_tripleclouds_sw.F90	(revision 5158)
@@ -196,5 +196,5 @@
 
     ! Main loop over columns
-    do jcol = istartcol, iendcol
+    DO jcol = istartcol, iendcol
       ! --------------------------------------------------------
       ! Section 2: Prepare column-specific variables and arrays
@@ -249,5 +249,5 @@
       ! cloud%crop_cloud_fraction has already been called
       is_clear_sky_layer = .true.
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (cloud%fraction(jcol,jlev) > 0.0_jprb) then
           is_clear_sky_layer(jlev) = .false.
@@ -260,5 +260,5 @@
       ! In this section the reflectance, transmittance and sources
       ! are computed for each layer
-      do jlev = 1,nlev ! Start at top-of-atmosphere
+      DO jlev = 1,nlev ! Start at top-of-atmosphere
 
         ! Array-wise assignments
@@ -271,5 +271,5 @@
           nreg = 1
         end if
-        do jreg = 1,nreg
+        DO jreg = 1,nreg
           if (jreg == 1) then
             od_total  =  od(:,jlev,jcol)
@@ -277,5 +277,5 @@
             g_total   =   g(:,jlev,jcol)
           else
-            do jg = 1,ng
+            DO jg = 1,ng
               ! Mapping from g-point to band
               iband = config%i_band_from_reordered_g_sw(jg)
@@ -321,5 +321,5 @@
 
       ! Copy surface albedo in clear-sky region
-      do jg = 1,ng
+      DO jg = 1,ng
         total_albedo(jg,1,nlev+1) = albedo_diffuse(jg,jcol)
       end do
@@ -327,5 +327,5 @@
       ! If direct albedo is available, use it; otherwise copy from
       ! diffuse albedo
-      do jg = 1,ng
+      DO jg = 1,ng
         total_albedo_direct(jg,1,nlev+1) &
              &  = mu0 * albedo_direct(jg,jcol)
@@ -335,5 +335,5 @@
       ! underneath
       if (.not. is_clear_sky_layer(nlev)) then
-        do jreg = 2,nregions
+        DO jreg = 2,nregions
           total_albedo(:,jreg,nlev+1)        = total_albedo(:,1,nlev+1)
           total_albedo_direct(:,jreg,nlev+1) = total_albedo_direct(:,1,nlev+1)
@@ -348,5 +348,5 @@
       ! Work up from the surface computing the total albedo of the
       ! atmosphere below that point using the adding method
-      do jlev = nlev,1,-1
+      DO jlev = nlev,1,-1
 
         total_albedo_below        = 0.0_jprb
@@ -357,5 +357,5 @@
           ! "below" quantities since with no cloud overlap to worry
           ! about, these are the same
-          do jg = 1,ng
+          DO jg = 1,ng
             inv_denom(jg,1) = 1.0_jprb &
                  &  / (1.0_jprb - total_albedo_clear(jg,jlev+1)*reflectance(jg,1,jlev))
@@ -371,5 +371,5 @@
 
         if (is_clear_sky_layer(jlev)) then
-          do jg = 1,ng
+          DO jg = 1,ng
             inv_denom(jg,1) = 1.0_jprb &
                  &  / (1.0_jprb - total_albedo(jg,1,jlev+1)*reflectance(jg,1,jlev))
@@ -403,6 +403,6 @@
           ! the operation we perform is essentially diag(total_albedo)
           ! = matmul(transpose(v_matrix)), diag(total_albedo_below)).
-          do jreg = 1,nregions
-            do jreg2 = 1,nregions
+          DO jreg = 1,nregions
+            DO jreg2 = 1,nregions
               total_albedo(:,jreg,jlev) &
                    &  = total_albedo(:,jreg,jlev) &
@@ -429,5 +429,5 @@
       ! Direct downwelling flux (into a plane perpendicular to the
       ! sun) entering the top of each region in the top-most layer
-      do jreg = 1,nregions
+      DO jreg = 1,nregions
         direct_dn(:,jreg) = incoming_sw(:,jcol)*region_fracs(jreg,1,jcol)
       end do
@@ -491,7 +491,7 @@
 
       ! Final loop back down through the atmosphere to compute fluxes
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (config%do_clear) then
-          do jg = 1,ng
+          DO jg = 1,ng
             flux_dn_clear(jg) = (transmittance(jg,1,jlev)*flux_dn_clear(jg) + direct_dn_clear(jg) &
                &  * (trans_dir_dir(jg,1,jlev)*total_albedo_clear_direct(jg,jlev+1)*reflectance(jg,1,jlev) &
@@ -505,5 +505,5 @@
 
         if (is_clear_sky_layer(jlev)) then
-          do jg = 1,ng
+          DO jg = 1,ng
             flux_dn(jg,1) = (transmittance(jg,1,jlev)*flux_dn(jg,1) + direct_dn(jg,1) &
                  &  * (trans_dir_dir(jg,1,jlev)*total_albedo_direct(jg,1,jlev+1)*reflectance(jg,1,jlev) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_two_stream.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_two_stream.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_two_stream.F90	(revision 5158)
@@ -91,5 +91,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
       ! Fu et al. (1997), Eq 2.9 and 2.10:
       !      gamma1(jg) = LwDiffusivity * (1.0_jprb - 0.5_jprb*ssa(jg) &
@@ -141,5 +141,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
       !      gamma1(jg) = 2.0_jprb  - ssa(jg) * (1.25_jprb + 0.75_jprb*g(jg))
       !      gamma2(jg) = 0.75_jprb *(ssa(jg) * (1.0_jprb - g(jg)))
@@ -212,5 +212,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
       if (od(jg) > 1.0e-3_jprd) then
         k_exponent = sqrt(max((gamma1(jg) - gamma2(jg)) * (gamma1(jg) + gamma2(jg)), &
@@ -302,5 +302,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
       k_exponent = sqrt(max((gamma1(jg) - gamma2(jg)) * (gamma1(jg) + gamma2(jg)), &
            1.E-12_jprd)) ! Eq 18 of Meador & Weaver (1980)
@@ -370,5 +370,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
       ! Compute upward and downward emission assuming the Planck
       ! function to vary linearly with optical depth within the layer
@@ -474,5 +474,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
 
         gamma4 = 1.0_jprd - gamma3(jg)
@@ -607,5 +607,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
       od_over_mu0 = max(gamma0(jg) * depth, 0.0_jprd)
       ! In the IFS this appears to be faster without testing the value
@@ -721,5 +721,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
       ! Note that if the minimum value is reduced (e.g. to 1.0e-24)
       ! then noise starts to appear as a function of solar zenith
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radsurf_intermediate.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radsurf_intermediate.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radsurf_intermediate.F90	(revision 5158)
@@ -357,5 +357,5 @@
       ! Put shortwave albedo on g-point grid and permute
       i_albedo_from_g = config%i_albedo_from_band_sw(config%i_band_from_reordered_g_sw)
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         this%sw_albedo_diffuse(:,:,jcol) = surface%sw_albedo(jcol,i_albedo_from_g,:)
         if (allocated(surface%sw_albedo_direct)) then
@@ -366,5 +366,5 @@
       end do
     else
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         ! No change to spectral resolution: simply permute 
         this%sw_albedo_diffuse(:,:,jcol) = surface%sw_albedo(jcol,:,:)
@@ -391,8 +391,8 @@
 
       ! Loop over column and tile
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         cos_sza = single_level%cos_sza(jcol)
 
-        do jtile = 1,surface%ntile
+        DO jtile = 1,surface%ntile
           tile_fraction = surface%tile_fraction(jcol,jtile)
 
@@ -647,11 +647,11 @@
     if (config%use_canopy_full_spectrum_lw) then
       ! Put longwave emissivity on g-point grid and permute      
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         this%lw_emissivity(:,:,jcol) = surface%lw_emissivity(jcol,config%i_emiss_from_band_lw( &
              &                           config%i_band_from_reordered_g_lw),:)
       end do
       ! Compute Planck function at each facet
-      do jfacet = 1,surface%nfacet
-        do jcol = istartcol,iendcol
+      DO jfacet = 1,surface%nfacet
+        DO jcol = istartcol,iendcol
           ! FIX this function assumes contiguous data for planck_facet
           ! so copies into a temporary
@@ -661,6 +661,6 @@
         end do
       end do
-      do jtile = 1,surface%ntile
-        do jcol = istartcol,iendcol
+      DO jtile = 1,surface%ntile
+        DO jcol = istartcol,iendcol
           iregion = surface%i_region_1(jcol,jtile)
           if (iregion > 0) then
@@ -676,15 +676,15 @@
         call radiation_abort()
       end if
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         ! No change to spectral resolution: simply permute
         this%lw_emissivity(:,:,jcol) = surface%lw_emissivity(jcol,:,:)
       end do
       ! Broadband calculation: Stefan-Boltzmann law
-      do jfacet = 1,surface%nfacet
+      DO jfacet = 1,surface%nfacet
         this%planck_facet(1,jfacet,istartcol:iendcol) &
              &  = StefanBoltzmann*surface%skin_temperature(istartcol:iendcol,jfacet)**4
       end do
-      do jtile = 1,surface%ntile
-        do jcol = istartcol,iendcol
+      DO jtile = 1,surface%ntile
+        DO jcol = istartcol,iendcol
           iregion = surface%i_region_1(jcol,jtile)
           if (iregion > 0) then
@@ -712,7 +712,7 @@
 
       ! Loop over column and tile
-      do jcol = istartcol,iendcol
-
-        do jtile = 1,surface%ntile
+      DO jcol = istartcol,iendcol
+
+        DO jtile = 1,surface%ntile
           tile_fraction = surface%tile_fraction(jcol,jtile)
 
@@ -1009,5 +1009,5 @@
 
     ! Scale optical depths to extinction
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
       layer_depth = R_over_g &
              &  * (thermodynamics%pressure_hl(jcol,iendlev+1) &
@@ -1090,6 +1090,6 @@
 
       ! Loop over column and tile
-      do jcol = istartcol,iendcol
-        do jtile = 1,surface%ntile
+      DO jcol = istartcol,iendcol
+        DO jtile = 1,surface%ntile
           tile_fraction = surface%tile_fraction(jcol,jtile)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radsurf_properties.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radsurf_properties.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radsurf_properties.F90	(revision 5158)
@@ -250,5 +250,5 @@
       ifacet = 1
       iregion = 1
-      do jtile = 1,this%ntile
+      DO jtile = 1,this%ntile
         this%i_ground_facet(:,jtile) = ifacet
         ifacet = ifacet + 1
@@ -360,5 +360,5 @@
       ifacet  = 1
       iregion = 1;
-      do jtile = 1,ntile
+      DO jtile = 1,ntile
         write(nulout,'(a,i0,a,a)') '  Tile ', jtile, ': ', trim(TileRepresentationName(i_representation(jtile)))
         write(nulout,'(a,i0,a)') '    Facet ', ifacet, ': ground'
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_driver.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_driver.F90	(revision 5158)
@@ -311,5 +311,5 @@
   tstart = omp_get_wtime() 
 #endif
-  do jrepeat = 1,driver_config%nrepeat
+  DO jrepeat = 1,driver_config%nrepeat
     
     if (driver_config%do_parallel) then
@@ -321,5 +321,5 @@
      
       !$OMP PARALLEL DO PRIVATE(istartcol, iendcol) SCHEDULE(RUNTIME)
-      do jblock = 1, nblock
+      DO jblock = 1, nblock
         ! Specify the range of columns to process.
         istartcol = (jblock-1) * driver_config%nblocksize &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_driver_config.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_driver_config.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_driver_config.F90	(revision 5158)
@@ -400,5 +400,5 @@
     ! wavelength bound, noting that the number of diagnostics is one
     ! fewer than the number of valid bounds
-    do jdiag = 0,NMaxSpectralDiag
+    DO jdiag = 0,NMaxSpectralDiag
       if (this%sw_diag_wavelength_bound(jdiag+1) < 0.0_jprb) then
         this%n_sw_diag = max(0,jdiag-1)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_driver_read_input.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_driver_read_input.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_driver_read_input.F90	(revision 5158)
@@ -563,5 +563,5 @@
 
     ! Loop through all radiatively important gases
-    do jgas = 1,NMaxGases
+    DO jgas = 1,NMaxGases
       if (jgas == IH2O) then
         if (file%exists('q')) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_ifs_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_ifs_driver.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_ifs_driver.F90	(revision 5158)
@@ -369,5 +369,5 @@
   tstart = omp_get_wtime()
 #endif
-  do jrepeat = 1,driver_config%nrepeat
+  DO jrepeat = 1,driver_config%nrepeat
 
 !    if (driver_config%do_parallel) then
@@ -379,5 +379,5 @@
 
       !$OMP PARALLEL DO PRIVATE(istartcol, iendcol) SCHEDULE(RUNTIME)
-      do jblock = 1, nblock
+      DO jblock = 1, nblock
         ! Specify the range of columns to process.
         istartcol = (jblock-1) * driver_config%nblocksize &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_ifs_driver_blocked.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_ifs_driver_blocked.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ecrad_ifs_driver_blocked.F90	(revision 5158)
@@ -371,5 +371,5 @@
   tstart = omp_get_wtime()
 #endif
-  do jrepeat = 1,driver_config%nrepeat
+  DO jrepeat = 1,driver_config%nrepeat
 
 !    if (driver_config%do_parallel) then
@@ -378,5 +378,5 @@
       !$OMP PARALLEL DO SCHEDULE(DYNAMIC,1)&
       !$OMP&PRIVATE(JRL,IBEG,IEND,IL,IB)
-      do jrl=1,ncol,nproma
+      DO jrl=1,ncol,nproma
         ibeg=jrl
         iend=min(ibeg+nproma-1,ncol)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ifs_blocking.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ifs_blocking.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/ifs_blocking.F90	(revision 5158)
@@ -329,6 +329,6 @@
   !$OMP PARALLEL DO SCHEDULE(RUNTIME)&
   !$OMP&PRIVATE(IB,IFLD)
-  do ib=1,ngpblks
-    do ifld=1,ifs_config%ifldstot
+  DO ib=1,ngpblks
+    DO ifld=1,ifs_config%ifldstot
       zrgp(:,ifld,ib) = 0._jprb
     enddo
@@ -351,5 +351,5 @@
     !$OMP PARALLEL DO SCHEDULE(RUNTIME)&
     !$OMP&PRIVATE(JRL,IBEG,IEND,IL,IB,JAER,JOFF,JLEV,JALB)
-    do jrl=1,ncol,nproma
+    DO jrl=1,ncol,nproma
 
       ibeg=jrl
@@ -363,5 +363,5 @@
       zrgp(1:il,ifs_config%iamu0,ib)  =  single_level%cos_sza(ibeg:iend)   ! cosine of solar zenith ang (mu0)
 
-      do jemiss=1,yderad%nlwemiss
+      DO jemiss=1,yderad%nlwemiss
         zrgp(1:il,ifs_config%iemiss+jemiss-1,ib)  =  single_level%lw_emissivity(ibeg:iend,jemiss)
       enddo
@@ -378,19 +378,19 @@
       ! zrgp(1:il,islon,ib)    = ???
 
-      do jalb=1,yderad%nsw
+      DO jalb=1,yderad%nsw
         zrgp(1:il,ifs_config%iald+jalb-1,ib)  =  single_level%sw_albedo(ibeg:iend,jalb)
       enddo
 
       if (allocated(single_level%sw_albedo_direct)) then
-        do jalb=1,yderad%nsw
+        DO jalb=1,yderad%nsw
           zrgp(1:il,ifs_config%ialp+jalb-1,ib)  =  single_level%sw_albedo_direct(ibeg:iend,jalb)
         end do
       else
-        do jalb=1,yderad%nsw
+        DO jalb=1,yderad%nsw
           zrgp(1:il,ifs_config%ialp+jalb-1,ib)  =  single_level%sw_albedo(ibeg:iend,jalb)
         end do
       end if
       
-      do jlev=1,nlev
+      DO jlev=1,nlev
         zrgp(1:il,ifs_config%iti+jlev-1,ib)   = temperature_fl(ibeg:iend,jlev) ! full level temperature
         zrgp(1:il,ifs_config%ipr+jlev-1,ib)   = pressure_fl(ibeg:iend,jlev) ! full level pressure
@@ -398,5 +398,5 @@
       enddo
 
-      do jlev=1,nlev
+      DO jlev=1,nlev
         zrgp(1:il,ifs_config%iwv+jlev-1,ib)   = gas%mixing_ratio(ibeg:iend,jlev,IH2O) ! this is already in MassMixingRatio units
         if (rad_config%do_clouds) then
@@ -421,6 +421,6 @@
       if (yderad%naermacc == 1) then
         joff=ifs_config%iaero
-        do jaer=1,rad_config%n_aerosol_types
-          do jlev=1,nlev
+        DO jaer=1,rad_config%n_aerosol_types
+          DO jlev=1,nlev
             zrgp(1:il,joff,ib) = aerosol%mixing_ratio(ibeg:iend,jlev,jaer)
             joff=joff+1
@@ -429,5 +429,5 @@
       endif
 
-      do jlev=1,nlev+1
+      DO jlev=1,nlev+1
         ! zrgp(1:il,ihpr+jlev-1,ib)  = ???
         zrgp(1:il,ifs_config%iaprs+jlev-1,ib) = thermodynamics%pressure_hl(ibeg:iend,jlev)
@@ -453,10 +453,10 @@
       ! local workaround variables for standalone input files
       if (rad_config%do_clouds) then
-        do jlev=1,nlev
+        DO jlev=1,nlev
           ! missing full-level temperature and pressure as well as land-sea-mask
           zrgp(1:il,ifs_config%ire_liq+jlev-1,ib) = cloud%re_liq(ibeg:iend,jlev)
           zrgp(1:il,ifs_config%ire_ice+jlev-1,ib) = cloud%re_ice(ibeg:iend,jlev)
         enddo
-        do jlev=1,nlev-1
+        DO jlev=1,nlev-1
           ! for the love of it, I can't figure this one out. Probably to do with
           ! my crude approach of setting PGEMU?
@@ -465,10 +465,10 @@
         if(present(iseed)) iseed(1:il,ib) = single_level%iseed(ibeg:iend)
       else
-        do jlev=1,nlev
+        DO jlev=1,nlev
           ! missing full-level temperature and pressure as well as land-sea-mask
           zrgp(1:il,ifs_config%ire_liq+jlev-1,ib) = 0._jprb
           zrgp(1:il,ifs_config%ire_ice+jlev-1,ib) = 0._jprb
         enddo
-        do jlev=1,nlev-1
+        DO jlev=1,nlev-1
           zrgp(1:il,ifs_config%ioverlap+jlev-1,ib) = 0._jprb
         enddo
@@ -531,5 +531,5 @@
     !$OMP PARALLEL DO SCHEDULE(RUNTIME)&
     !$OMP&PRIVATE(JRL,IBEG,IEND,IL,IB,JLEV,JG)
-    do jrl=1,ncol,nproma
+    DO jrl=1,ncol,nproma
       ibeg=jrl
       iend=min(ibeg+nproma-1,ncol)
@@ -537,5 +537,5 @@
       ib=(jrl-1)/nproma+1
 
-      do jlev=1,nlev+1
+      DO jlev=1,nlev+1
         flux%sw_up(ibeg:iend,jlev) = zrgp(1:il,ifs_config%ifrso+jlev-1,ib)
         flux%lw_up(ibeg:iend,jlev) = zrgp(1:il,ifs_config%ifrth+jlev-1,ib)
@@ -561,5 +561,5 @@
       emissivity_out(ibeg:iend) = zrgp(1:il,ifs_config%iemit,ib)
       if (yradiation%yrerad%lapproxswupdate) then
-        do jg=1,yradiation%yrerad%nsw
+        DO jg=1,yradiation%yrerad%nsw
           flux_diffuse_band(ibeg:iend,jg) = zrgp(1:il,ifs_config%iswdiffuseband+jg-1,ib)
           flux_direct_band(ibeg:iend,jg) = zrgp(1:il,ifs_config%iswdirectband+jg-1,ib)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_cloud_generator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_cloud_generator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_cloud_generator.F90	(revision 5158)
@@ -57,6 +57,6 @@
        &  od_scaling, total_cloud_cover)
 
-  do jlev = 1,nlev
-    do jcol = 1,ncol
+  DO jlev = 1,nlev
+    DO jcol = 1,ncol
       write(6,'(f5.2,a)',advance='no') od_scaling(jcol,jlev), ' '
     end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_random_number_generator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_random_number_generator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_random_number_generator.F90	(revision 5158)
@@ -29,5 +29,5 @@
   call random_number_generator%initialize(itype=IRngType, iseed=212075152, &
        &                                  nmaxstreams=streammax)
-  do jl = 1,1
+  DO jl = 1,1
     print *, 'initial_state = [ ', int(random_number_generator%istate(1:streammax),jpib), ' ]'
     call random_number_generator%uniform_distribution(vec)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_spartacus_math.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_spartacus_math.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/driver/test_spartacus_math.F90	(revision 5158)
@@ -45,10 +45,10 @@
 
   write(*,*) 'A ='
-  do j = 1,m
+  DO j = 1,m
      write(*,*) A(1,j,:)
   end do
 
   write(*,*) 'B ='
-  do j = 1,m
+  DO j = 1,m
      write(*,*) B(1,j,:)
   end do
@@ -60,5 +60,5 @@
 
   write(*,*) 'C = A*B ='
-  do j = 1,m
+  DO j = 1,m
      write(*,*) C(1,j,:)
   end do
@@ -70,5 +70,5 @@
 
   write(*,*) 'C = A\B ='
-  do j = 1,m
+  DO j = 1,m
      write(*,*) C(1,j,:)
   end do
@@ -78,5 +78,5 @@
 
   write(*,*) 'expm(A) ='
-  do j = 1,m
+  DO j = 1,m
      write(*,*) A(1,j,:)
   end do
@@ -93,5 +93,5 @@
     
     write(*,*) 'fast_expm(A) = '
-    do j = 1,m
+    DO j = 1,m
       write(*,*) A(1,j,:)
     end do
@@ -106,5 +106,5 @@
     
     write(*,*) 'expm(A) = '
-    do j = 1,m
+    DO j = 1,m
       write(*,*) A(1,j,:)
     end do
@@ -115,5 +115,5 @@
     
     write(*,*) 'expm(zeros) = '
-    do j = 1,m
+    DO j = 1,m
       write(*,*) A(1,j,:)
     end do
@@ -124,5 +124,5 @@
     
     write(*,*) 'fast_expm(A) = '
-    do j = 1,m
+    DO j = 1,m
       write(*,*) A(1,j,:)
     end do
@@ -140,5 +140,5 @@
     
     write(*,*) 'expm(A) = '
-    do j = 1,m
+    DO j = 1,m
       write(*,*) A(1,j,:)
     end do
@@ -149,5 +149,5 @@
     
     write(*,*) 'expm(zeros) = '
-    do j = 1,m
+    DO j = 1,m
       write(*,*) A(1,j,:)
     end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/lmdz/aeropt_5wv_ecrad.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/lmdz/aeropt_5wv_ecrad.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/lmdz/aeropt_5wv_ecrad.F90	(revision 5158)
@@ -54,8 +54,8 @@
 
       ! Loop over level
-     do jlev = istartlev,iendlev
+     DO jlev = istartlev,iendlev
 
         ! Loop over column
-        do jcol = istartcol,iendcol
+        DO jcol = istartcol,iendcol
 
           ! Compute relative humidity with respect to liquid
@@ -71,5 +71,5 @@
           od_aerosol_mono = 0.0_jprb
 
-          do jtype = 1,config%n_aerosol_types
+          DO jtype = 1,config%n_aerosol_types
             ! Add the optical depth for this aerosol type to the total for all aerosols.  
             ! Note that the following expressions are array-wise
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_adding_ica_lw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_adding_ica_lw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_adding_ica_lw.F90	(revision 5158)
@@ -83,5 +83,5 @@
     ! also the "source", which is the upwelling flux due to emission
     ! below that level
-    do jlev = nlev,1,-1
+    DO jlev = nlev,1,-1
       ! Next loop over columns. We could do this by indexing the
       ! entire inner dimension as follows, e.g. for the first line:
@@ -90,5 +90,5 @@
       ! routine by a factor of 2!  Rather, we do it with an explicit
       ! loop.
-      do jcol = 1,ncol
+      DO jcol = 1,ncol
         ! Lacis and Hansen (1974) Eq 33, Shonk & Hogan (2008) Eq 10:
         inv_denominator(jcol,jlev) = 1.0_jprb &
@@ -114,6 +114,6 @@
     ! Work back down through the atmosphere computing the fluxes at
     ! each half-level
-    do jlev = 1,nlev
-      do jcol = 1,ncol
+    DO jlev = 1,nlev
+      DO jcol = 1,ncol
         ! Shonk & Hogan (2008) Eq 14 (after simplification):
         flux_dn(jcol,jlev+1) &
@@ -201,8 +201,8 @@
     ! also the "source", which is the upwelling flux due to emission
     ! below that level
-    do jlev = nlev,i_cloud_top,-1
+    DO jlev = nlev,i_cloud_top,-1
       if (is_clear_sky_layer(jlev)) then
         ! Reflectance of this layer is zero, simplifying the expression
-        do jcol = 1,ncol
+        DO jcol = 1,ncol
           albedo(jcol,jlev) = transmittance(jcol,jlev)*transmittance(jcol,jlev)*albedo(jcol,jlev+1)
           source(jcol,jlev) = source_up(jcol,jlev) &
@@ -212,5 +212,5 @@
       else
         ! Loop over columns; explicit loop seems to be faster
-        do jcol = 1,ncol
+        DO jcol = 1,ncol
           ! Lacis and Hansen (1974) Eq 33, Shonk & Hogan (2008) Eq 10:
           inv_denominator(jcol,jlev) = 1.0_jprb &
@@ -231,5 +231,5 @@
     flux_up(:,i_cloud_top) = source(:,i_cloud_top) &
          &                 + albedo(:,i_cloud_top)*flux_dn(:,i_cloud_top)
-    do jlev = i_cloud_top-1,1,-1
+    DO jlev = i_cloud_top-1,1,-1
       flux_up(:,jlev) = transmittance(:,jlev)*flux_up(:,jlev+1) + source_up(:,jlev)
     end do
@@ -237,7 +237,7 @@
     ! Work back down through the atmosphere from cloud top computing
     ! the fluxes at each half-level
-    do jlev = i_cloud_top,nlev
+    DO jlev = i_cloud_top,nlev
       if (is_clear_sky_layer(jlev)) then
-        do jcol = 1,ncol
+        DO jcol = 1,ncol
           flux_dn(jcol,jlev+1) = transmittance(jcol,jlev)*flux_dn(jcol,jlev) &
                &               + source_dn(jcol,jlev)
@@ -246,5 +246,5 @@
         end do
       else
-        do jcol = 1,ncol
+        DO jcol = 1,ncol
           ! Shonk & Hogan (2008) Eq 14 (after simplification):
           flux_dn(jcol,jlev+1) &
@@ -309,6 +309,6 @@
 ! Added for DWD (2020)
 !NEC$ outerloop_unroll(8)
-    do jlev = 1,nlev
-      do jcol = 1,ncol
+    DO jlev = 1,nlev
+      DO jcol = 1,ncol
         flux_dn(jcol,jlev+1) = transmittance(jcol,jlev)*flux_dn(jcol,jlev) + source_dn(jcol,jlev)
       end do
@@ -322,6 +322,6 @@
 ! Added for DWD (2020)
 !NEC$ outerloop_unroll(8)
-    do jlev = nlev,1,-1
-      do jcol = 1,ncol
+    DO jlev = nlev,1,-1
+      DO jcol = 1,ncol
         flux_up(jcol,jlev) = transmittance(jcol,jlev)*flux_up(jcol,jlev+1) + source_up(jcol,jlev)
       end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_adding_ica_sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_adding_ica_sw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_adding_ica_sw.F90	(revision 5158)
@@ -84,5 +84,5 @@
     ! half-level by working down through the atmosphere
     flux_dn_direct(:,1) = incoming_toa
-    do jlev = 1,nlev
+    DO jlev = 1,nlev
       flux_dn_direct(:,jlev+1) = flux_dn_direct(:,jlev)*trans_dir_dir(:,jlev)
     end do
@@ -100,5 +100,5 @@
 ! Added for DWD (2020)
 !NEC$ outerloop_unroll(8)
-    do jlev = nlev,1,-1
+    DO jlev = nlev,1,-1
       ! Next loop over columns. We could do this by indexing the
       ! entire inner dimension as follows, e.g. for the first line:
@@ -107,5 +107,5 @@
       ! routine by a factor of 2!  Rather, we do it with an explicit
       ! loop.
-      do jcol = 1,ncol
+      DO jcol = 1,ncol
         ! Lacis and Hansen (1974) Eq 33, Shonk & Hogan (2008) Eq 10:
         inv_denominator(jcol,jlev) = 1.0_jprb / (1.0_jprb-albedo(jcol,jlev+1)*reflectance(jcol,jlev))
@@ -132,6 +132,6 @@
 ! Added for DWD (2020)
 !NEC$ outerloop_unroll(8)
-    do jlev = 1,nlev
-      do jcol = 1,ncol
+    DO jlev = 1,nlev
+      DO jcol = 1,ncol
         ! Shonk & Hogan (2008) Eq 14 (after simplification):
         flux_dn_diffuse(jcol,jlev+1) &
